<div class="slds-form-element">
  <div class="slds-form-element__control">
    <div class="slds-combobox slds-dropdown-trigger slds-dropdown-trigger_hover" aria-expanded="false"
         aria-haspopup="listbox" role="combobox">
      <div
        class="slds-combobox__form-element slds-input-has-icon slds-input-has-icon_left slds-global-search__form-element"
        role="none">
          <span class="slds-icon_container slds-icon-utility-search slds-input__icon slds-input__icon_left">
            <svg class="slds-icon slds-icon slds-icon_xx-small slds-icon-text-default" aria-hidden="true">
              <use xlink:href="/assets/icons/utility-sprite/svg/symbols.svg#search"></use>
            </svg>
          </span>
        <input type="text" class="slds-input slds-combobox__input" aria-autocomplete="list"
               aria-controls="search-listbox-id-1" autoComplete="off" role="textbox" placeholder="Search movie..."
               (mdbvInputDebounce)="search($event)"
        />
      </div>
      <div class="slds-dropdown slds-dropdown_length-10 slds-dropdown_fluid slds-dropdown_right"
           role="listbox">
        <ul class="slds-listbox slds-listbox_vertical" role="group" aria-label="Recent Items">

          <li role="presentation" class="slds-listbox__item">
            <div class="slds-media slds-listbox__option slds-listbox__option_plain slds-media_center"
                 role="presentation">
              <h3 class="slds-listbox__option-header" role="presentation">Search results</h3>
            </div>
          </li>

          <li *ngFor="let result of searchResults$ | async" role="presentation" class="slds-listbox__item"
              (click)="pickResult(result)"
              data-test-subj="mdbv-movie-search-bar-search-result-item"
          >
            <div aria-checked="true" class="slds-media slds-listbox__option slds-listbox__option_plain slds-media_small slds-is-selected" role="option">
            <span class="slds-media__body">
              <span class="slds-truncate" title="Accounts">{{result.title}}</span>
            </span>
            </div>
          </li>

          <li role="presentation" class="slds-listbox__item">
            <div class="slds-media slds-listbox__option slds-listbox__option_plain slds-media_center"
                 role="presentation">
              <h3 class="slds-listbox__option-header" role="presentation">Last user picks</h3>
            </div>
          </li>

          <li *ngFor="let pick of userPicks$ | async" role="presentation" class="slds-listbox__item"
              (click)="pickPreviousPick(pick)"
              data-test-subj="mdbv-movie-search-bar-user-pick-item"
          >
            <div aria-checked="true" class="slds-media slds-listbox__option slds-listbox__option_plain slds-media_small slds-is-selected" role="option">
            <span class="slds-media__body">
              <span class="slds-truncate" title="Accounts">{{pick.title}}</span>
            </span>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
